- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Components::CCMObject Interface Reference

`import "CCM_Component.idl";`

Inheritance diagram for Components::CCMObject:

[legend]
Collaboration diagram for Components::CCMObject:

[legend]
List of all members.

## Public Member Functions
CORBA::IRObject | get_component_def ()
CCMHome | get_ccm_home ()
PrimaryKeyBase | get_primary_key () raises (NoKeyAvailable)
StandardConfigurator | get_standard_configurator ()
void | ciao_preactivate () raises (InvalidConfiguration)
void | ciao_activate () raises (InvalidConfiguration)
void | ciao_postactivate () raises (InvalidConfiguration)
void | ciao_passivate () raises (InvalidConfiguration)
void | configuration_complete () raises (InvalidConfiguration)
void | remove () raises (RemoveFailure)
ComponentPortDescription | get_all_ports ()

## Member Function Documentation

void Components::CCMObject::ciao_activate | ( |  | ) | raises (InvalidConfiguration)

void Components::CCMObject::ciao_passivate | ( |  | ) | raises (InvalidConfiguration)

void Components::CCMObject::ciao_postactivate | ( |  | ) | raises (InvalidConfiguration)

void Components::CCMObject::ciao_preactivate | ( |  | ) | raises (InvalidConfiguration)

This is all from our work on ARMS where we needed to know whether every component has been configured, say for example to use logging in the assembly which could in turn be provided by a component. To get around all this we are adding some methods on this till we think of some standard way to do this. The problem is that the deployer should be able to call this as opposed to the home calling it as soon as the component is created.

All these operations are called in the order mentioned, ie. the deployer calls ciao_preactivate () on all components, then ciao_activate and then ciao_postactivate (). The speciality is that these operations would be invoked on every target object before the next call is made. It is similar to the way portable interceptors work, trying to get everything onto the flow stack, but differ in the intention.

void Components::CCMObject::configuration_complete | ( |  | ) | raises (InvalidConfiguration)

ComponentPortDescription Components::CCMObject::get_all_ports | ( |  | ) |

CCMHome Components::CCMObject::get_ccm_home | ( |  | ) |

CORBA::IRObject Components::CCMObject::get_component_def | ( |  | ) |

PrimaryKeyBase Components::CCMObject::get_primary_key | ( |  | ) | raises (NoKeyAvailable)

StandardConfigurator Components::CCMObject::get_standard_configurator | ( |  | ) |

void Components::CCMObject::remove | ( |  | ) | raises (RemoveFailure)

The documentation for this interface was generated from the following file:

- CCM_Component.idl